%define module qc-usb
%define version 0.6.6

Name: dkms-%{module}
Version: %version
Release: %mkrel 2
Summary: DKMS-ready driver for the old Quickcam Express webcams
License: GPL
Source: http://downloads.sourceforge.net/qce-ga/%{module}-%{version}.tar.gz
Patch0: qc-usb-0.6.6-kcompat-2.6.24.patch
Patch1: qc-usb-0.6.6-koutput.patch
Patch2: qc-usb-0.6.6-device-link.patch
URL: http://qce-ga.sourceforge.net/
Group: Development/Kernel
Requires(pre): dkms
Requires(post): dkms
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Provides: %{module}

%description
This package contains a DKMS-ready driver for the following webcams :
- Dexxa Webcam
- Labtec Webcam (old model)
- LegoCam
- Logitech QuickCam Express (old model)
- Logitech QuickCam Notebook (some models)
- Logitech QuickCam Web

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}
cp -rf * %{buildroot}/usr/src/%{module}-%{version}-%{release}

cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{module}"
PACKAGE_VERSION="%{version}-%{release}"

MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"

BUILT_MODULE_NAME[0]="quickcam"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/qc-usb/"
REMAKE_INITRD="no"
AUTOINSTALL=yes
EOF

%post
dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/src/%{module}-%{version}-%{release}



%changelog
* Thu Apr 24 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-2mdv2008.1
+ Revision: 197321
- fix #39116

* Thu Apr 17 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-1mdv2009.0
+ Revision: 195251
- import dkms-qc-usb


* Wed Apr 16 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-1mdv2009.0
- First dkms package for qce-ga / qc-usb
- Thanks to Philippe Roubach and Pacho Ramos
